You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     amd...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/games/irrlamb/Makefile 327730 2013-09-20 
17:36:33Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s/logs/irrlamb-0.1.0_3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s
Log:

====>> Building games/irrlamb
build started at Wed Oct 16 20:48:42 UTC 2013
port directory: /usr/ports/games/irrlamb
building for: FreeBSD 91i386-default-job-17 9.1-RELEASE FreeBSD 9.1-RELEASE i386
maintained by: amd...@freebsd.org
Makefile ident:      $FreeBSD: head/games/irrlamb/Makefile 327730 2013-09-20 
17:36:33Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE
UNAME_r=9.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/91i386-default/ref
PKG_EXT=txz
tpid=14469
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=irrlamb-0.1.0_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=91i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES LUA_VER="5.1" 
LUA_VER_SH="1" LUA_VER_STR="51" LUA_PREFIX="/usr/local" LUA_SUBDIR="lua51" 
LUA_BINDIR="/usr/local/bin/lua51" LUA_INCDIR="/usr/local/include/lua51" 
LUA_LIBDIR="/usr/local/lib/lua51" LUA_MODLIBDIR="/usr/local/lib/lua/5.1" 
LUA_MODSHAREDIR="/usr/local/share/lua/5.1" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/irrlamb
DOCSDIR=/usr/local/share/doc/irrlamb
EXAMPLESDIR=/usr/local/share/examples/irrlamb
WWWDIR=/usr/local/www/irrlamb
ETCDIR=/usr/local/etc/irrlamb
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for irrlamb-0.1.0_3
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   irrlamb-0.1.0_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of irrlamb-0.1.0_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by irrlamb-0.1.0_3 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by irrlamb-0.1.0_3 for building
=> SHA256 Checksum OK for irrlamb-0.1.0-src.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by irrlamb-0.1.0_3 for building
===>  Extracting for irrlamb-0.1.0_3
=> SHA256 Checksum OK for irrlamb-0.1.0-src.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for irrlamb-0.1.0_3
===>   Converting DOS text file to UNIX text file: src/engine/save.h
===>  Applying FreeBSD patches for irrlamb-0.1.0_3
===========================================================================
=======================<phase: build-depends  >============================
===>   irrlamb-0.1.0_3 depends on file: /usr/local/lib/libIrrlicht.so - not 
found
===>    Verifying install for /usr/local/lib/libIrrlicht.so in 
/usr/ports/x11-toolkits/irrlicht
===>   Installing existing package /packages/All/irrlicht-1.8.txz
Installing irrlicht-1.8...Installing xproto-7.0.24... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2...Installing pkgconf-0.9.3... done
Installing libiconv-1.14_1... done
 done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing dri2proto-2.8... done
Installing expat-2.1.0... done
Installing pciids-20131010... done
Installing png-1.5.17... done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
Installing jpeg-8_4... done
 done
###############################################################################

The Irrlicht Engine was installed

1) See the complete documentation at:

   http://irrlicht.sourceforge.net/docu/index.html

2) If you selected EXAMPLES option, you can see these examples at:

   /usr/local/share/examples/irrlicht
 
3) Enjoy it ;)

###############################################################################
===>   Returning to build of irrlamb-0.1.0_3
===>   irrlamb-0.1.0_3 depends on file: /usr/local/bin/scons - not found
===>    Verifying install for /usr/local/bin/scons in /usr/ports/devel/scons
===>   Installing existing package /packages/All/scons-2.3.0.txz
Installing scons-2.3.0...Installing gettext-0.18.3.1... done
Installing python27-2.7.5_3... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of irrlamb-0.1.0_3
===========================================================================
=======================<phase: lib-depends    >============================
===>   irrlamb-0.1.0_3 depends on shared library: sqlite3 - not found
===>    Verifying install for sqlite3 in /usr/ports/databases/sqlite3
===>   Installing existing package /packages/All/sqlite3-3.8.0.2.txz
Installing sqlite3-3.8.0.2... done
===>   Returning to build of irrlamb-0.1.0_3
===>   irrlamb-0.1.0_3 depends on shared library: lua-5.1.1 - not found
===>    Verifying install for lua-5.1.1 in /usr/ports/lang/lua
===>   Installing existing package /packages/All/lua-5.1.5_6.txz
Installing lua-5.1.5_6... done
===>   Returning to build of irrlamb-0.1.0_3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for irrlamb-0.1.0_3
===========================================================================
=======================<phase: build          >============================
===>  Building for irrlamb-0.1.0_3
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
c++ -o src/viewreplay.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/viewreplay.cpp
c++ -o src/main.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/main.cpp
c++ -o src/menu.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/menu.cpp
c++ -o src/play.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/play.cpp
c++ -o src/tinyxml/tinyxml.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/tinyxml/tinyxml.cpp
c++ -o src/tinyxml/tinyxmlparser.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/tinyxml/tinyxmlparser.cpp
c++ -o src/tinyxml/tinystr.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/tinyxml/tinystr.cpp
c++ -o src/tinyxml/tinyxmlerror.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/tinyxml/tinyxmlerror.cpp
c++ -o src/objects/player.o -c -O2 -pipe -fno-strict-aliasing -O2 -pipe 
-fno-strict-aliasing -DNDEBUG -I/usr/local/include -I/usr/local/include/lua51 
-Isrc/bullet src/objects/player.cpp
src/objects/player.cpp: In constructor 'PlayerClass::PlayerClass(const 
SpawnStruct&)':
src/objects/player.cpp:48: error: 'pack_texureBlendFunc' was not declared in 
this scope
scons: *** [src/objects/player.o] Error 1
scons: building terminated because of errors.
*** [do-build] Error code 2

Stop in /usr/ports/games/irrlamb.
===>  Cleaning for irrlamb-0.1.0_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to